Speech Simulation

Caution: Applet requires Java 1.2 or later. If buttons shown below are blank, Java update is needed.

Java Update Link